Index: squid/src/protos.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/protos.h,v
retrieving revision 1.1.1.3.12.17.2.20
retrieving revision 1.1.1.3.12.17.2.21
diff -u -r1.1.1.3.12.17.2.20 -r1.1.1.3.12.17.2.21
--- squid/src/protos.h	5 Jan 2001 22:45:28 -0000	1.1.1.3.12.17.2.20
+++ squid/src/protos.h	7 Jan 2001 09:48:31 -0000	1.1.1.3.12.17.2.21
@@ -1,6 +1,6 @@
 
 /*
- * $Id: protos.h,v 1.1.1.3.12.17.2.20 2001/01/05 22:45:28 rbcollins Exp $
+ * $Id: protos.h,v 1.1.1.3.12.17.2.21 2001/01/07 09:48:31 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -131,8 +131,8 @@
 extern void clientHttpConnectionsClose(void);
 extern StoreEntry *clientCreateStoreEntry(clientHttpRequest *, method_t, request_flags);
 extern int isTcpHit(log_type);
-extern void clientReadBody(request_t *req, char *buf, size_t size, CBCB *callback, void *data);
-extern int clientAbortBody(request_t *req);
+extern void clientReadBody(request_t * req, char *buf, size_t size, CBCB * callback, void *data);
+extern int clientAbortBody(request_t * req);
 
 extern int commSetNonBlocking(int fd);
 extern int commUnsetNonBlocking(int fd);
@@ -723,7 +723,7 @@
 /* authenticate.c */
 extern void authenticateAuthUserMerge(auth_user_t *, auth_user_t *);
 extern auth_user_t *authenticateAuthUserNew(const char *);
-extern int  authenticateAuthSchemeId(const char *typestr);
+extern int authenticateAuthSchemeId(const char *typestr);
 extern void authenticateStart(auth_user_request_t *, RH *, void *);
 extern void authenticateSchemeInit(void);
 extern void authenticateInit(authConfig *);
@@ -732,32 +732,32 @@
 extern void authenticateAddTrailer(HttpReply *, auth_user_request_t *, request_t *, int);
 extern auth_user_request_t *authenticateGetAuthUser(const char *proxy_auth);
 extern void authenticateAuthenticateUser(auth_user_request_t *, request_t *, ConnStateData *, http_hdr_type);
-extern void  authenticateAuthUserUnlock(auth_user_t *auth_user);
-extern void  authenticateAuthUserLock(auth_user_t *auth_user);
-extern void  authenticateAuthUserRequestUnlock(auth_user_request_t *);
-extern void  authenticateAuthUserRequestLock(auth_user_request_t *);
+extern void authenticateAuthUserUnlock(auth_user_t * auth_user);
+extern void authenticateAuthUserLock(auth_user_t * auth_user);
+extern void authenticateAuthUserRequestUnlock(auth_user_request_t *);
+extern void authenticateAuthUserRequestLock(auth_user_request_t *);
 extern char *authenticateAuthUserRequestMessage(auth_user_request_t *);
-extern int   authenticateAuthUserInuse(auth_user_t *auth_user);
-extern void  authenticateAuthUserRequestSetIp(auth_user_request_t *, struct in_addr);
-extern int   authenticateDirection(auth_user_request_t *);
-extern FREE  authenticateFreeProxyAuthUser;
-extern void  authenticateFreeProxyAuthUserACLResults(void *data);
-extern void  authenticateProxyUserCacheCleanup(void *);
-extern void  authenticateInitUserCache();
+extern int authenticateAuthUserInuse(auth_user_t * auth_user);
+extern void authenticateAuthUserRequestSetIp(auth_user_request_t *, struct in_addr);
+extern int authenticateDirection(auth_user_request_t *);
+extern FREE authenticateFreeProxyAuthUser;
+extern void authenticateFreeProxyAuthUserACLResults(void *data);
+extern void authenticateProxyUserCacheCleanup(void *);
+extern void authenticateInitUserCache();
 #if 0
-extern void  authenticateProxyAuthCacheAddLink(const char *key, auth_user_t *);
+extern void authenticateProxyAuthCacheAddLink(const char *key, auth_user_t *);
 #endif
-extern int   authenticateActiveSchemeCount();
-extern int   authenticateSchemeCount();
-extern void  authenticateUserNameCacheAdd(auth_user_t *auth_user);
-extern int   authenticateCheckAuthUserIP(struct in_addr request_src_addr, auth_user_request_t * auth_user);
-extern int   authenticateUserAuthenticated(auth_user_request_t *);
-extern void  authenticateUserCacheRestart();
+extern int authenticateActiveSchemeCount();
+extern int authenticateSchemeCount();
+extern void authenticateUserNameCacheAdd(auth_user_t * auth_user);
+extern int authenticateCheckAuthUserIP(struct in_addr request_src_addr, auth_user_request_t * auth_user);
+extern int authenticateUserAuthenticated(auth_user_request_t *);
+extern void authenticateUserCacheRestart();
 extern char *authenticateUserUsername(auth_user_t *);
 extern char *authenticateUserRequestUsername(auth_user_request_t *);
-extern int   authenticateValidateUser(auth_user_request_t *);
-extern void  authenticateOnCloseConnection(ConnStateData *conn);
-extern void  authSchemeAdd(char *type, AUTHSSETUP * setup);
+extern int authenticateValidateUser(auth_user_request_t *);
+extern void authenticateOnCloseConnection(ConnStateData * conn);
+extern void authSchemeAdd(char *type, AUTHSSETUP * setup);
 
 extern void refreshAddToList(const char *, int, time_t, int, time_t);
 extern int refreshIsCachable(const StoreEntry *);
Index: squid/src/redirect.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/redirect.c,v
retrieving revision 1.1.1.3.4.1.2.2.2.3
retrieving revision 1.1.1.3.4.1.2.2.2.4
diff -u -r1.1.1.3.4.1.2.2.2.3 -r1.1.1.3.4.1.2.2.2.4
--- squid/src/redirect.c	5 Jan 2001 22:45:28 -0000	1.1.1.3.4.1.2.2.2.3
+++ squid/src/redirect.c	7 Jan 2001 09:48:31 -0000	1.1.1.3.4.1.2.2.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: redirect.c,v 1.1.1.3.4.1.2.2.2.3 2001/01/05 22:45:28 rbcollins Exp $
+ * $Id: redirect.c,v 1.1.1.3.4.1.2.2.2.4 2001/01/07 09:48:31 hno Exp $
  *
  * DEBUG: section 29    Redirector
  * AUTHOR: Duane Wessels
@@ -131,8 +131,8 @@
 	r->client_ident = http->request->authuser;
 #endif
     if (http->request->auth_user_request)
-        r->client_ident = authenticateUserRequestUsername(http->request->auth_user_request);
-    else if (conn->rfc931[0]) {   
+	r->client_ident = authenticateUserRequestUsername(http->request->auth_user_request);
+    else if (conn->rfc931[0]) {
 	r->client_ident = conn->rfc931;
     } else {
 	r->client_ident = dash_str;
Index: squid/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/structs.h,v
retrieving revision 1.1.1.3.4.1.2.26.2.25
retrieving revision 1.1.1.3.4.1.2.26.2.26
diff -u -r1.1.1.3.4.1.2.26.2.25 -r1.1.1.3.4.1.2.26.2.26
--- squid/src/structs.h	7 Jan 2001 00:37:02 -0000	1.1.1.3.4.1.2.26.2.25
+++ squid/src/structs.h	7 Jan 2001 09:48:31 -0000	1.1.1.3.4.1.2.26.2.26
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.1.1.3.4.1.2.26.2.25 2001/01/07 00:37:02 hno Exp $
+ * $Id: structs.h,v 1.1.1.3.4.1.2.26.2.26 2001/01/07 09:48:31 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -61,6 +61,7 @@
     auth_type_t type;
     wordlist *names;
 };
+
 #endif
 
 struct _acl_name_list {
@@ -79,7 +80,7 @@
     char *key;
     auth_user_hash_pointer *next;
     auth_user_t *auth_user;
-    dlink_node link; /* other hash entries that point to the same auth_user */
+    dlink_node link;		/* other hash entries that point to the same auth_user */
 };
 
 struct _auth_user_t {
@@ -87,20 +88,20 @@
     /* this determines what scheme owns the user data. */
     auth_type_t auth_type;
     /* the index +1 in the authscheme_list to the authscheme entry */
-    int auth_module; 
+    int auth_module;
     /* we only have one username associated with a given auth_user struct */
     auth_user_hash_pointer *usernamehash;
-    /* we may have many proxy-authenticate strings that decode to the same user*/
+    /* we may have many proxy-authenticate strings that decode to the same user */
     dlink_list proxy_auth_list;
     dlink_list proxy_match_cache;
     struct {
-    unsigned int credentials_ok:2; /*0=unchecked,1=ok,2=failed*/
+	unsigned int credentials_ok:2;	/*0=unchecked,1=ok,2=failed */
     } flags;
     long expiretime;
     /* IP addr this user authenticated from */
     struct in_addr ipaddr;
     time_t ip_expiretime;
-    /* how many references are outstanding to this instance*/
+    /* how many references are outstanding to this instance */
     size_t references;
     /* the auth scheme has it's own private data area */
     void *scheme_data;
@@ -129,25 +130,25 @@
 
 struct _authscheme_entry {
     char *typestr;
-    AUTHSACTIVE   *Active;
+    AUTHSACTIVE *Active;
     AUTHSADDHEADER *AddHeader;
     AUTHSADDTRAILER *AddTrailer;
-    AUTHSAUTHED   *authenticated;
+    AUTHSAUTHED *authenticated;
     AUTHSAUTHUSER *authAuthenticate;
-    AUTHSDUMP     *dump;
-    AUTHSFIXERR   *authFixHeader;
-    AUTHSFREE     *FreeUser;
+    AUTHSDUMP *dump;
+    AUTHSFIXERR *authFixHeader;
+    AUTHSFREE *FreeUser;
     AUTHSFREECONFIG *freeconfig;
     AUTHSUSERNAME *authUserUsername;
-    AUTHSONCLOSEC *oncloseconnection; /*optional*/
-    AUTHSDECODE   *decodeauth;
+    AUTHSONCLOSEC *oncloseconnection;	/*optional */
+    AUTHSDECODE *decodeauth;
     AUTHSDIRECTION *getdirection;
-    AUTHSPARSE    *parse;
-    AUTHSINIT     *init;
-    AUTHSREQFREE  *requestFree;
+    AUTHSPARSE *parse;
+    AUTHSINIT *init;
+    AUTHSREQFREE *requestFree;
     AUTHSSHUTDOWN *donefunc;
-    AUTHSSTART    *authStart;
-    AUTHSSTATS    *authStats;
+    AUTHSSTART *authStart;
+    AUTHSSTATS *authStats;
 };
 
 /*
@@ -241,7 +242,7 @@
     struct in_addr my_addr;
     unsigned short my_port;
     request_t *request;
-    ConnStateData *conn;	/* hack for ident and NTLM*/
+    ConnStateData *conn;	/* hack for ident and NTLM */
     char rfc931[USER_IDENT_SZ];
     auth_user_request_t *auth_user_request;
     acl_lookup_state state[ACL_ENUM_MAX];
@@ -549,10 +550,10 @@
     } accessList;
     acl_deny_info_list *denyInfoList;
     struct _authConfig {
-         authScheme *schemes;
-         int n_allocated;
-         int n_configured;
-     } authConfig;
+	authScheme *schemes;
+	int n_allocated;
+	int n_configured;
+    } authConfig;
     struct {
 	size_t list_width;
 	int list_wrap;
@@ -959,7 +960,7 @@
 	log_type code;
 	int msec;
 	const char *rfc931;
-        const char *authuser;
+	const char *authuser;
     } cache;
     struct {
 	char *request;
@@ -1016,15 +1017,15 @@
 	size_t size;
     } in;
     struct {
-	size_t size_left; /* How much body left to process */
-	request_t *request; /* Parameters passed to clientReadBody */
+	size_t size_left;	/* How much body left to process */
+	request_t *request;	/* Parameters passed to clientReadBody */
 	char *buf;
 	size_t bufsize;
 	CBCB *callback;
 	void *cbdata;
     } body;
-    auth_type_t auth_type;  /* Is this connection based authentication ? if so 
-                             * what type it is. */
+    auth_type_t auth_type;	/* Is this connection based authentication ? if so 
+				 * what type it is. */
     /* note this is ONLY connection based because NTLM is against HTTP spec */
     /* the user details for connection based authentication */
     auth_user_request_t *auth_user_request;
@@ -1576,7 +1577,7 @@
     struct in_addr my_addr;
     unsigned short my_port;
     HttpHeader header;
-    ConnStateData *body_connection; /* used by clientReadBody() */
+    ConnStateData *body_connection;	/* used by clientReadBody() */
     int content_length;
     HierarchyLogEntry hier;
     err_type err_type;
@@ -1621,7 +1622,7 @@
     err_type type;
     int page_id;
     http_status http_status;
-    auth_user_request_t * auth_user_request;
+    auth_user_request_t *auth_user_request;
     request_t *request;
     char *url;
     int xerrno;
@@ -1916,8 +1917,8 @@
 struct _helper_stateful_request {
     char *buf;
     HLPSCB *callback;
-    int  placeholder; /* if 1, this is a dummy request waiting for a stateful helper
-                       * to become available for deferred requests.*/
+    int placeholder;		/* if 1, this is a dummy request waiting for a stateful helper
+				 * to become available for deferred requests.*/
     void *data;
 };
 
@@ -1952,10 +1953,10 @@
     HLPSONEQ *OnEmptyQueue;
     time_t last_queue_warn;
     struct {
-        int requests;
-        int replies;
-        int queue_size;
-        int avg_svc_time;
+	int requests;
+	int replies;
+	int queue_size;
+	int avg_svc_time;
     } stats;
 };
 
@@ -1997,17 +1998,17 @@
     statefulhelper *parent;
     helper_stateful_request *request;
     struct _helper_stateful_flags {
-        unsigned int alive:1;
-        unsigned int busy:1;
-        unsigned int closing:1;
-        unsigned int shutdown:1;
-        stateful_helper_reserve_t reserved:2;
+	unsigned int alive:1;
+	unsigned int busy:1;
+	unsigned int closing:1;
+	unsigned int shutdown:1;
+	stateful_helper_reserve_t reserved:2;
     } flags;
     struct {
 	int uses;
     } stats;
-    size_t deferred_requests; /* current number of deferred requests */
-    void *data;               /* State data used by the calling routines */
+    size_t deferred_requests;	/* current number of deferred requests */
+    void *data;			/* State data used by the calling routines */
 };
 
 /*
Index: squid/src/tools.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/tools.c,v
retrieving revision 1.1.1.3.10.7.2.5
retrieving revision 1.1.1.3.10.7.2.6
diff -u -r1.1.1.3.10.7.2.5 -r1.1.1.3.10.7.2.6
--- squid/src/tools.c	4 Jan 2001 10:45:31 -0000	1.1.1.3.10.7.2.5
+++ squid/src/tools.c	7 Jan 2001 09:48:31 -0000	1.1.1.3.10.7.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: tools.c,v 1.1.1.3.10.7.2.5 2001/01/04 10:45:31 rbcollins Exp $
+ * $Id: tools.c,v 1.1.1.3.10.7.2.6 2001/01/07 09:48:31 hno Exp $
  *
  * DEBUG: section 21    Misc Functions
  * AUTHOR: Harvest Derived
@@ -767,8 +767,8 @@
 dlink_node *
 dlinkNodeNew()
 {
-    if (dlink_node_pool==NULL)
-        dlink_node_pool = memPoolCreate("Dlink list nodes", sizeof(dlink_node));
+    if (dlink_node_pool == NULL)
+	dlink_node_pool = memPoolCreate("Dlink list nodes", sizeof(dlink_node));
     /* where should we call memPoolDestroy(dlink_node_pool); */
     return memPoolAlloc(dlink_node_pool);
 }
@@ -777,8 +777,8 @@
 void
 dlinkNodeDelete(dlink_node * m)
 {
-    if (m==NULL)
-        return;
+    if (m == NULL)
+	return;
     memPoolFree(dlink_node_pool, m);
 }
 
Index: squid/src/typedefs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/typedefs.h,v
retrieving revision 1.1.1.3.12.13.2.17
retrieving revision 1.1.1.3.12.13.2.18
diff -u -r1.1.1.3.12.13.2.17 -r1.1.1.3.12.13.2.18
--- squid/src/typedefs.h	7 Jan 2001 00:24:26 -0000	1.1.1.3.12.13.2.17
+++ squid/src/typedefs.h	7 Jan 2001 09:48:31 -0000	1.1.1.3.12.13.2.18
@@ -1,6 +1,6 @@
 
 /*
- * $Id: typedefs.h,v 1.1.1.3.12.13.2.17 2001/01/07 00:24:26 rbcollins Exp $
+ * $Id: typedefs.h,v 1.1.1.3.12.13.2.18 2001/01/07 09:48:31 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -230,7 +230,7 @@
 typedef void PSC(FwdServer *, void *);
 typedef void RH(void *data, char *);
 #if 0
-typedef void SRH(void *data, void * lastserver, char *);
+typedef void SRH(void *data, void *lastserver, char *);
 #endif
 typedef void UH(void *data, wordlist *);
 typedef int DEFER(int fd, void *data);
@@ -249,8 +249,8 @@
 typedef void SIGHDLR(int sig);
 typedef void STVLDCB(void *, int, int);
 typedef void HLPCB(void *, char *buf);
-typedef stateful_helper_callback_t HLPSCB(void *, void * lastserver, char *buf);
-typedef int  HLPSAVAIL(void *);
+typedef stateful_helper_callback_t HLPSCB(void *, void *lastserver, char *buf);
+typedef int HLPSAVAIL(void *);
 typedef void HLPSONEQ(void *);
 typedef void HLPCMDOPTS(int *argc, char **argv);
 typedef void IDNSCB(void *, rfc1035_rr *, int);
@@ -296,26 +296,26 @@
 typedef void StatHistBinDumper(StoreEntry *, int idx, double val, double size, int count);
 
 /* authenticate.c authenticate scheme routines typedefs */
-typedef int   AUTHSACTIVE();
-typedef int   AUTHSAUTHED(auth_user_request_t *);
-typedef void  AUTHSAUTHUSER(auth_user_request_t *, request_t *, ConnStateData *, http_hdr_type);
-typedef void  AUTHSDECODE(auth_user_request_t *, const char *);
-typedef int   AUTHSDIRECTION(auth_user_request_t *);
-typedef void  AUTHSDUMP(StoreEntry *, const char *, authScheme *);
-typedef void  AUTHSFIXERR(auth_user_request_t *, HttpReply *, http_hdr_type, request_t *);
-typedef void  AUTHSADDHEADER(auth_user_request_t *, HttpReply *, int);
-typedef void  AUTHSADDTRAILER(auth_user_request_t *, HttpReply *, int);
-typedef void  AUTHSFREE(auth_user_t *);
-typedef void  AUTHSFREECONFIG(authScheme *);
+typedef int AUTHSACTIVE();
+typedef int AUTHSAUTHED(auth_user_request_t *);
+typedef void AUTHSAUTHUSER(auth_user_request_t *, request_t *, ConnStateData *, http_hdr_type);
+typedef void AUTHSDECODE(auth_user_request_t *, const char *);
+typedef int AUTHSDIRECTION(auth_user_request_t *);
+typedef void AUTHSDUMP(StoreEntry *, const char *, authScheme *);
+typedef void AUTHSFIXERR(auth_user_request_t *, HttpReply *, http_hdr_type, request_t *);
+typedef void AUTHSADDHEADER(auth_user_request_t *, HttpReply *, int);
+typedef void AUTHSADDTRAILER(auth_user_request_t *, HttpReply *, int);
+typedef void AUTHSFREE(auth_user_t *);
+typedef void AUTHSFREECONFIG(authScheme *);
 typedef char *AUTHSUSERNAME(auth_user_t *);
-typedef void  AUTHSONCLOSEC(ConnStateData *);
-typedef void  AUTHSPARSE(authScheme *, int, char *);
-typedef void  AUTHSINIT(authScheme *);
-typedef void  AUTHSREQFREE(auth_user_request_t *);
-typedef void  AUTHSSETUP(authscheme_entry_t *);
-typedef void  AUTHSSHUTDOWN(void);
-typedef void  AUTHSSTART(auth_user_request_t * , RH * , void *);
-typedef void  AUTHSSTATS(StoreEntry *);
+typedef void AUTHSONCLOSEC(ConnStateData *);
+typedef void AUTHSPARSE(authScheme *, int, char *);
+typedef void AUTHSINIT(authScheme *);
+typedef void AUTHSREQFREE(auth_user_request_t *);
+typedef void AUTHSSETUP(authscheme_entry_t *);
+typedef void AUTHSSHUTDOWN(void);
+typedef void AUTHSSTART(auth_user_request_t *, RH *, void *);
+typedef void AUTHSSTATS(StoreEntry *);
 
 /* append/vprintf's for Packer */
 typedef void (*append_f) (void *, const char *buf, int size);
